export default capsule;
export type CapsuleOptions = {
    height?: number;
    radius?: number;
    nx?: number;
    ny?: number;
    phi?: number;
};
/**
 * @typedef {Object} CapsuleOptions
 * @property {number} [height=1]
 * @property {number} [radius=0.25]
 * @property {number} [nx=16]
 * @property {number} [ny=32]
 * @property {number} [phi=TAU]
 */
/**
 * @alias module:capsule
 * @param {CapsuleOptions} [options={}]
 * @returns {import("../types.js").SimplicialComplex}
 */
declare function capsule({ height, radius, nx, ny, phi, }?: CapsuleOptions, ...args: any[]): import("../types.js").SimplicialComplex;
